> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Experiment Data Clean

> Dados de um experimento específico, limpos e organizados.
Se number_of_random_experiments for fornecido, retorna um número aleatório de experimentos.
Se filters for fornecido, aplica filtros específicos (JSON string).
Apenas para download!



## OpenAPI

````yaml https://services.staging.app.dados.rio/eai-agent/openapi.json get /api/v1/experiment_data_clean
openapi: 3.1.0
info:
  title: Agentic Search API
  description: >-
    API que gerencia os fluxos e ferramentas dos agentes de IA da Prefeitura do
    Rio de Janeiro
  version: 0.1.0
servers:
  - url: https://services.staging.app.dados.rio/eai-agent
    description: Staging
security: []
paths:
  /api/v1/experiment_data_clean:
    get:
      tags:
        - Phoenix Experiments
      summary: Get Experiment Data Clean
      description: >-
        Dados de um experimento específico, limpos e organizados.

        Se number_of_random_experiments for fornecido, retorna um número
        aleatório de experimentos.

        Se filters for fornecido, aplica filtros específicos (JSON string).

        Apenas para download!
      operationId: get_experiment_data_clean_api_v1_experiment_data_clean_get
      parameters:
        - name: dataset_id
          in: query
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: experiment_id
          in: query
          required: true
          schema:
            type: string
            title: Experiment Id
        - name: number_of_random_experiments
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 10
            title: Number Of Random Experiments
        - name: filters
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Filters
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExperimentData'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ExperimentData:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        experiment_id:
          type: string
          title: Experiment Id
        dataset_name:
          type: string
          title: Dataset Name
        experiment_name:
          type: string
          title: Experiment Name
        experiment_metadata:
          additionalProperties: true
          type: object
          title: Experiment Metadata
        experiment:
          items: {}
          type: array
          title: Experiment
      type: object
      required:
        - dataset_id
        - experiment_id
        - dataset_name
        - experiment_name
        - experiment_metadata
        - experiment
      title: ExperimentData
      description: Dados completos do experimento.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````